diff lib-src/tm-au @ 70:131b0175ea99 r20-0b30

Import from CVS: tag r20-0b30
author cvs
date Mon, 13 Aug 2007 09:02:59 +0200
parents 0293115a14e9
children c0c698873ce1
line wrap: on
line diff
--- a/lib-src/tm-au	Mon Aug 13 09:00:04 2007 +0200
+++ b/lib-src/tm-au	Mon Aug 13 09:02:59 2007 +0200
@@ -1,25 +1,7 @@
 #!/bin/sh -
 #
-# $Id: tm-au,v 1.4 1997/02/02 05:04:53 steve Exp $
+# $Id: tm-au,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
 #
-# Copyright 1994,1995,1996,1997 Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with GNU Emacs; see the file COPYING.  If not, write to the
-# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
-# Boston, MA 02111-1307, USA.
-
-PATH=${PATH:-/usr/bin:/bin}:`dirname $0 2>/dev/null`; export PATH
 
 if [ "$TM_TMP_DIR" = "" ]; then
 	TM_TMP_DIR=/tmp
@@ -36,18 +18,19 @@
 case "$4" in
 "play")
 	echo "$2; $3 ->"
-	tmdecode $3 $1 $filename
 	if [ "$AUDIOSERVER" = "" ]; then
-          case "`uname`" in
-            IRIX )  sfplay $filename           ;;
-            OSF1 )  decsound -play $filename   ;;
-            *    )  cat $filename > /dev/audio ;;
-          esac
+		if [ `uname` = "IRIX" ]; then
+			tmdecode $3 $1 $filename
+			sfplay $filename
+			trap 'rm -f $filename' 0 1 2 3 13 15
+		else
+			tmdecode $3 $1 /dev/audio
+		fi
 	else
-          autool -v 40 $filename
+		tmdecode $3 $1 $filename
+		autool -v 40 $filename
+		trap 'rm -f $filename' 0 1 2 3 13 15
 	fi
-        
-	trap 'rm -f $filename' 0 1 2 3 13 15
 	;;
 "extract")
 	echo "$2; $3 -> $filename"